Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2381493003: Move ViewMsg_New to mojom (Closed)

Created:
3 years, 1 month ago by Ken Rockot(use gerrit already)
Modified:
3 years, 1 month ago
Reviewers:
ncarter (slow), sky, dcheng
CC:
Aaron Boodman, abarth-chromium, ccameron, chromium-reviews, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, einbinder+watch-test-runner_chromium.org, jam, jochen+watch_chromium.org, mlamouri+watch-test-runner_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move ViewMsg_New to mojom This is added to a new content::mojom::Renderer interface which is intended to define any messages processed directly by RenderThreadImpl. Also moves ViewMsg_New_Params to a mojom struct and adds native typemaps for some of its dependencies. BUG=612500 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/067ca55f59d8fcc92db8d4eb3551ef31b7b43119 Cr-Commit-Position: refs/heads/master@{#422236}

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Total comments: 2

Patch Set 4 : . #

Total comments: 4

Patch Set 5 : . #

Patch Set 6 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+395 lines, -144 lines) Patch
M content/browser/frame_host/navigator_impl.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_process_host_impl.h View 1 2 3 4 3 chunks +3 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 2 3 4 2 chunks +11 lines, -2 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 2 chunks +29 lines, -26 lines 0 comments Download
M content/browser/site_per_process_browsertest.cc View 1 2 3 2 chunks +5 lines, -5 lines 0 comments Download
M content/common/BUILD.gn View 1 2 3 4 5 3 chunks +4 lines, -0 lines 0 comments Download
A content/common/native_types.mojom View 1 chunk +21 lines, -0 lines 0 comments Download
A content/common/native_types.typemap View 1 2 3 4 1 chunk +40 lines, -0 lines 0 comments Download
A content/common/renderer.mojom View 1 2 3 4 1 chunk +87 lines, -0 lines 0 comments Download
M content/common/typemaps.gni View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M content/common/view_messages.h View 2 chunks +0 lines, -76 lines 0 comments Download
A content/common/web_preferences.typemap View 1 chunk +8 lines, -0 lines 0 comments Download
M content/public/common/BUILD.gn View 1 2 3 4 2 chunks +1 line, -1 line 0 comments Download
M content/public/test/render_view_test.cc View 1 2 3 4 2 chunks +2 lines, -1 line 0 comments Download
M content/renderer/render_thread_impl.h View 1 2 3 4 9 chunks +20 lines, -2 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 4 10 chunks +33 lines, -11 lines 0 comments Download
M content/renderer/render_view_impl.h View 4 chunks +8 lines, -5 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 3 6 chunks +6 lines, -6 lines 0 comments Download
M content/test/layouttest_support.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M ipc/ipc.mojom View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M services/shell/public/cpp/capabilities_struct_traits.h View 1 2 2 chunks +5 lines, -5 lines 0 comments Download
M ui/gfx/icc_profile.h View 1 2 3 2 chunks +10 lines, -0 lines 0 comments Download
M ui/gfx/ipc/color/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/mojo/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/mojo/OWNERS View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
A ui/gfx/mojo/icc_profile.mojom View 1 2 3 4 1 chunk +11 lines, -0 lines 0 comments Download
A ui/gfx/mojo/icc_profile.typemap View 1 2 3 1 chunk +14 lines, -0 lines 0 comments Download
A ui/gfx/mojo/icc_profile_struct_traits.h View 1 2 3 4 1 chunk +32 lines, -0 lines 0 comments Download
A ui/gfx/mojo/icc_profile_struct_traits.cc View 1 2 3 4 1 chunk +27 lines, -0 lines 0 comments Download
M ui/gfx/typemaps.gni View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 48 (37 generated)
Ken Rockot(use gerrit already)
Another CL for your reviewing pleasure. Please take a look: dcheng@ for mojom and typemaps ...
3 years, 1 month ago (2016-09-28 23:30:22 UTC) #13
sky
LGTM
3 years, 1 month ago (2016-09-29 00:07:36 UTC) #14
ncarter (slow)
lgtm https://codereview.chromium.org/2381493003/diff/40001/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/2381493003/diff/40001/content/renderer/render_thread_impl.cc#newcode352 content/renderer/render_thread_impl.cc:352: // we want. Is this race still actually ...
3 years, 1 month ago (2016-09-29 16:49:32 UTC) #17
Ken Rockot(use gerrit already)
Ping dcheng@ - I still have some annoying dependency issue to work out for the ...
3 years, 1 month ago (2016-09-30 00:08:22 UTC) #22
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2381493003/diff/40001/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (right): https://codereview.chromium.org/2381493003/diff/40001/content/renderer/render_thread_impl.cc#newcode352 content/renderer/render_thread_impl.cc:352: // we want. On 2016/09/29 at 16:49:32, ncarter wrote: ...
3 years, 1 month ago (2016-09-30 00:08:57 UTC) #23
dcheng
LGTM +ccameron as FYI for the icc profile stuff https://codereview.chromium.org/2381493003/diff/60001/ipc/ipc.mojom File ipc/ipc.mojom (right): https://codereview.chromium.org/2381493003/diff/60001/ipc/ipc.mojom#newcode8 ipc/ipc.mojom:8: ...
3 years, 1 month ago (2016-09-30 06:30:37 UTC) #24
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2381493003/diff/60001/ipc/ipc.mojom File ipc/ipc.mojom (right): https://codereview.chromium.org/2381493003/diff/60001/ipc/ipc.mojom#newcode8 ipc/ipc.mojom:8: const int32 ROUTING_ID_NONE = -2; On 2016/09/30 at 06:30:37, ...
3 years, 1 month ago (2016-09-30 20:02:54 UTC) #37
dcheng
mojo still lgtm
3 years, 1 month ago (2016-09-30 20:53:42 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2381493003/140001
3 years, 1 month ago (2016-09-30 21:53:33 UTC) #45
commit-bot: I haz the power
Committed patchset #6 (id:140001)
3 years, 1 month ago (2016-09-30 22:00:40 UTC) #46
commit-bot: I haz the power
3 years, 1 month ago (2016-09-30 22:03:43 UTC) #48
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/067ca55f59d8fcc92db8d4eb3551ef31b7b43119
Cr-Commit-Position: refs/heads/master@{#422236}

Powered by Google App Engine
This is Rietveld 408576698